import 'package:flutter/material.dart';
import 'package:hub/app_state.dart';
import 'package:hub/backend/api_requests/api_calls.dart';
import 'package:hub/components/templates_components/liberation_history_item_details_template_component/liberation_history_item_details_template_component_widget.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';
import 'package:hub/flutter_flow/nav/nav.dart';
import 'package:hub/shared/helpers/db_helper.dart';

class LiberationHistoryItemDetailsTemplateComponentModel
    extends FlutterFlowModel<
        LiberationHistoryItemDetailsTemplateComponentWidget> {
  final DatabaseHelper db = DatabaseHelper();
  late final String devUUID;
  late final String userUUID;
  late final String cliUUID;

  FocusNode? textFieldFocusNode1;
  TextEditingController? textController1;
  String? Function(BuildContext, String?)? textController1Validator;
  FocusNode? textFieldFocusNode2;
  TextEditingController? textController2;
  String? Function(BuildContext, String?)? textController2Validator;
  FocusNode? textFieldFocusNode3;
  TextEditingController? textController3;
  String? Function(BuildContext, String?)? textController3Validator;
  FocusNode? textFieldFocusNode4;
  TextEditingController? textController4;
  String? Function(BuildContext, String?)? textController4Validator;

  @override
  void initState(BuildContext context) {}

  Future<void> initDatabase() async {
    devUUID = await db
        .get(key: 'devUUID', field: 'value')
        .then((value) => value.toString());
    userUUID = await db
        .get(key: 'userUUID', field: 'value')
        .then((value) => value.toString());
    cliUUID = await db
        .get(key: 'cliUUID', field: 'value')
        .then((value) => value.toString());
  }

  @override
  void dispose() {
    textFieldFocusNode1?.dispose();
    textController1?.dispose();

    textFieldFocusNode2?.dispose();
    textController2?.dispose();

    textFieldFocusNode3?.dispose();
    textController3?.dispose();

    textFieldFocusNode4?.dispose();
    textController4?.dispose();
  }
}
